Package com.sun.speech.freetts.en.us

# Class CMUTimeLexicon

java.lang.Object
com.sun.speech.freetts.lexicon.LexiconImpl
com.sun.speech.freetts.en.us.CMULexicon
com.sun.speech.freetts.en.us.CMUTimeLexicon

All Implemented Interfaces:
  `Lexicon`

public class CMUTimeLexicon extends CMULexicon
Provides a CMU time lexicon-specific implementation of a Lexicon. stored in a text file.

## Field Summary

### Fields inherited from class com.sun.speech.freetts.lexicon.LexiconImpl

`tokenizeOnLoad, tokenizeOnLookup`

## Constructor Summary

Constructors
Constructor
Description
`CMUTimeLexicon()`
Creates a default CMUTimeLexicon which is a binary lexicon

## Method Summary

### Methods inherited from class com.sun.speech.freetts.en.us.CMULexicon

`getInstance, getInstance, getSonority, hasVowel, hasVowel, isSilence, isSyllableBoundary, isVowel, main`

### Methods inherited from class com.sun.speech.freetts.lexicon.LexiconImpl

`addAddendum, compare, createLexicon, dumpBinary, fixPartOfSpeech, getPhones, getPhones, getPhones, getPhones, getPhones, isLoaded, load, loadTextLexicon, parseAndAdd, removeAddendum, setLexiconParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CMUTimeLexicon

public CMUTimeLexicon()
Creates a default CMUTimeLexicon which is a binary lexicon